clang-tools 10.0.0

Public Attributes | List of all members
clang::clangd::ParseInputs Struct Reference

Information required to run clang, e.g. to parse AST or do code completion. More...

`#include <Compiler.h>`

Collaboration diagram for clang::clangd::ParseInputs:
[legend]

## Public Attributes
tooling::CompileCommand | CompileCommand
IntrusiveRefCntPtr< llvm::vfs::FileSystem > | FS
std::string | Contents
const SymbolIndex * | Index = nullptr
ParseOptions | Opts

## Detailed Description

Information required to run clang, e.g. to parse AST or do code completion.

Definition at line 44 of file Compiler.h.

## Member Data Documentation

## ◆ CompileCommand

tooling::CompileCommand clang::clangd::ParseInputs::CompileCommand

Definition at line 45 of file Compiler.h.

Referenced by clang::clangd::TestTU::build(), clang::clangd::buildCompilerInvocation(), and clang::clangd::buildPreamble().

## ◆ Contents

std::string clang::clangd::ParseInputs::Contents

Definition at line 47 of file Compiler.h.

Referenced by clang::clangd::TestTU::build(), and clang::clangd::buildPreamble().

## ◆ FS

IntrusiveRefCntPtr<llvm::vfs::FileSystem> clang::clangd::ParseInputs::FS

Definition at line 46 of file Compiler.h.

Referenced by clang::clangd::TestTU::build(), clang::clangd::buildCompilerInvocation(), and clang::clangd::buildPreamble().

## ◆ Index

const SymbolIndex* clang::clangd::ParseInputs::Index = nullptr

Definition at line 49 of file Compiler.h.

Referenced by clang::clangd::TestTU::build().

## ◆ Opts

ParseOptions clang::clangd::ParseInputs::Opts

Definition at line 50 of file Compiler.h.

Referenced by clang::clangd::TestTU::build().

The documentation for this struct was generated from the following file:

- Compiler.h